%define version	1.0.7
%define name	tastymenu
%define prefix	%(tde-config --prefix)

Name: %{name}
Version: %{version}
Release: 1
Vendor: notmart@gmail.com
Url: http://kdelook.org/content/show.php?content=27968
License: GPL
Summary: A TMenu replacement
Group: System/GUI/TDE
Packager: Marco Martin <notmart@gmail.com>
BuildRoot:  %{_tmppath}/%{name}-root 
Source: %{name}-%{version}.tar.bz2

%description
Tasty Menu is a TMenu replacement aiming to provide the maximum usability, or at least to be a testbed for usability concepts and ideas for a future KDE menu.

%prep
%setup


%build
./configure --enable-final --disable-debug --prefix=%{prefix}
make

%install
make install DESTDIR=%{buildroot}
cd %{buildroot}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > /var/tmp/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >>  /var/tmp/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >>  /var/tmp/file.list.%{name}


%clean
rm -rf %{buildroot}
rm -rf /var/tmp/file.list.%{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%files -f /var/tmp/file.list.%{name}
%defattr(0644, root, root)


%changelog
*Wed Feb 6 2008 notmart@gmail.com
1.0.7
-Fixed a typo in the config dialog

*Thu Dec 13 2007 notmart@gmail.com
Tasty Menu 1.0.6
-Now all the applications should be displayed again
-Brazillian portoguese translation by Ewerton de A. Dutra

*Thu Nov 22 2007 notmart@gmail.com
Tasty Menu 1.0.5
-fixed the about box
-some fixes in packaging
-now it's installed in the right directory (for example in /usr/lib/kde3 instead of /usr/lib)

*Sat Nov 17 2007 notmart@gmail.com
Tasty Menu 1.0.4
-updated French translation
-updated Slovenian translation
-fixed a crash on lright mouse button click on search field
-the old memory leak should be somewhat mitigated

*Wed Oct 24 2007 notmart@gmail.com
Tasty Menu 1.0.3
-Fixed a bug that occurred when clicking on the search result if the menu mode was "recent/most used applications"
-Polish translation by Tomasz Argasiński
-Some fixes in the Slovenian translation
-description text shouldn't become too little

*Wed Oct 17 2007 notmart@gmail.com
Tasty Menu 1.0.2
-Slovenian translation by Matija Šuklje
-Fixed a little build problem

*Thu Oct 11 2007 notmart@gmail.com
Tasty Menu 1.0.1
-Menu and tooltip no longer steals mouse and keyboard input
-Better management of the tooltip
-No separators when the list is in alphabetical order
-Finnish translations by Tommi Nieminen

*Wed Sep 19 2007 notmart@gmail.com
Tasty Menu 1.0
-Not having particular problems, released it as 1.0
-French translation by Laurent Hilsz

*Sun Sep 09 2007 notmart@gmail.com
Tasty Menu 1.0_rc2
-Rearranging the items of the left column by drag and drop works again
-the layout should be a little bit more polished
-Updated Ukrainian translation

*Wed Aug 22 2007 notmart@gmail.com
Tasty Menu 1.0_rc1:
-Search field should be a lot faster
-Only strings with at least three characters are being searched (necessary for the speedup)
-Corrected a bug that prevented to search into application descriptions

*Tue Aug 21 2007 notmart@gmail.com
Tasty Menu 0.9.1:
-Ukrainian translation by Motsyo Vitaliy

*Sat Aug 04 2007 notmart@gmail.com
Tasty Menu 0.9:
-"Add to desktop" option in menuitems
-Drag and drop from menu to desktop
-Option to set different icons sizes in the three columns
-the button text label should always be of a visible color
-most used/recently used applications list updates in realtime
-clear most used/recently used applications list
 -(warning1: deleting one list deletes also the other)
 -(warning2: if you use opensuse you must have kickoff reverted to classic kmenu in order to use the recently used/most used lists)
-updated russian and german translations

*Sun May 13 2007 notmart@gmail.com
Tasty Menu 0.8.2:
-Spanish translation by Jesus S Fernandez Prieto
-button background goes highlighted even if kicker doesn't have neither a background pixmap or transparent background
-menu icon (including on mouseover effect) changes immediately when the user sets a new icon
-highlighted button background also when kicker has no transparency or backgound image
-searching should be a little bit faster (still far from optimal)

*Thu May 03 2007 notmart@gmail.com
Tasty Menu 0.8.1:
-German translation by Jannick Kuhr
-Drag and drop enabled only in "Favourite applications" mode (otherwise it destroys the favourite list!)

*Sun Apr 29 2007 notmart@gmail.com
Tasty Menu 0.8:
-Favourite applications list can be rearranged via drag and drop
-new installed programs notification should be more reliable (some inspiration from Kickoff :P)
  -it finds also programs installed by other users
  -old programs shouldn't be no more erroneusly listed
-updated russian and italian translations
-when there is only one search result, pressing enter executes it (and the search terms are cleared)
-added button to clear the recent documents list
-application descriptions can be removed also from the left column
-easier to start a program with a single mouse click when the tree is collapsed
-groups with only one item can be configured to be shown
-items can be ordered alphabetically (with applications after the groups)
-better managing of the button size (especially within a vertical panel) and when the menu text is disabled the button is exactly square
-the button icon is highlighted on mouse over according to the global settins
-in the search results the tree is always open

*Sat Apr 06 2007 notmart@gmail.com
Tasty Menu 0.7.1:
-Russian translation by Yurkovsky Andrey
-corrected a possible compilation problem
-application descriptions are hidden also from the first column
-button width updated again when the text label is turned off

*Mon Apr 02 2007 notmart@gmail.com
Tasty Menu 0.7:
-configurable button text label
-configurable menu button pixmap
-item descriptions can be turned off
-optional "save session" entry under the user button
-configurable popup text
-the button no longer appears on mouse over, instead the background becomes lighter on mouse over and darker on mouse press
-when the user clicks on an empty area the last item is no longer activated
-Italian translation

*Tue Feb 20 2007 notmart@gmail.com
Tasty Menu 0.6.5:
-fixed menu placement when it's on the right side of the screen
-now both the recent applications list and the most used list works
-some cosmetic improvements in configuration dialog
-don't reopen the current submenu when the user clicks again on an already open category
-now clicking on categories of right column expandes/collapses them
-"always collapsed categories" option available also if "show tree expanders" is off
-fixed compilation issues with autoconf >= 2.60

*Mon Sep 25 2006 notmart@gmail.com
Tasty Menu 0.6:
-command to clear the recently installed applications list
-Application categories cand be made collapsable and appear collapsed by default
-left mouse button menu on menuitems that lets to add/remove bookmarks and edit the proper submenu with kmenuedit
-the add bookmark icons should work better
-Fixed a bug that prevented svg-only icon themes to display correctly
-Added a very basic Strigi integration
-When resizing the menu in window mode the size of the three columns are updated correcly
-Fixed a crash when a no longer existent app is in more used / recently used list
-Fixed another probable cause of crash

*Mon Aug 7 2006 notmart@gmail.com
-fixed another crash

*Wed Aug 2 2006 notmart@gmail.com
-Lock session button works again

*Tue Aug 1 2006 notmart@gmail.com
Tasty Menu 0.5:
-First RPM release
-(Hopefully) fixed some other crashes
-the big tooltip is enabled only when also the other kicker's big tooltip are enabled too
-the menu can be made a normal window (the upper right arrow toolbutton)
-the highlighted item in the middle column is always the currently open category
-busy mouse cursor when searching
-corrected a bug that prevented to use the left column after a search in ceratin cases
-added a "Configure global shortcuts..." command in the LMB menu
-user button and "switch user" buttons merged in one button
-added a "Run program..." button
-open submenus on timeout also when the mouse button is not pressed, so now when the mouse button is down the delay is 250ms when is not pressed 1 sec
-clear button on the right: it is dramatically nicer looking now :)

